Package org.apache.lucene.util

# Interface IOBooleanSupplier

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IOBooleanSupplier
Boolean supplier that is allowed to throw an IOException.

See Also:
  - `BooleanSupplier`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `get()`
  Gets the boolean result.

- ## Method Details

  - ### get

    boolean get() throws IOException
    Gets the boolean result.
    Returns:
      the result
    Throws:
      `IOException` - if supplying the result throws an `IOException`